Skip to content

Agreements

Use this endpoint to fetch Agreements specific to your institution and Jiko.

List Agreements

Request

This endpoint retrieves a list of legal agreements that a customer can acknowledge. These agreements could include terms of service, privacy policies, or other legal documents.

It returns an Agreement object which contains the version, release_date, and a list of documents. Each document includes a pdf_download_url, title, type, and category.

Security
CodeBearer
curl -i -X GET \
  https://api.business.jiko.io/api/v1/agreements/ \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
versionstring(Version)required
release_datestring, (date)(Release Date)required
documentsArray of objects(Documents)required
Response
{ "version": "string", "release_date": "2019-08-24", "documents": [ {} ] }